=== modified file 'NEWS'
--- NEWS	2006-12-08 10:01:38 +0000
+++ NEWS	2006-12-11 19:25:13 +0000
@@ -40,6 +40,10 @@
       
   INTERNALS:
 
+    * Change Revision serialization to only write out millisecond
+      resolution. Rather than expecting floating point serialization to
+      preserve more resolution than we need. (Henri Weichers, Martin Pool)
+
   BUG FIXES:
 
     * bzr now supports Win32 UNC path (e.g. \\HOST\path). 

=== modified file 'bzrlib/tests/test_xml.py'
--- bzrlib/tests/test_xml.py	2006-10-11 23:08:27 +0000
+++ bzrlib/tests/test_xml.py	2006-11-12 15:01:27 +0000
@@ -32,7 +32,7 @@
     inventory_id="mbp@sourcefrog.net-20050905080035-e0439293f8b6b9f9"
     inventory_sha1="e79c31c1deb64c163cf660fdedd476dd579ffd41"
     revision_id="mbp@sourcefrog.net-20050905080035-e0439293f8b6b9f9"
-    timestamp="1125907235.211783886"
+    timestamp="1125907235.212"
     timezone="36000">
 <message>- start splitting code for xml (de)serialization away from objects
   preparatory to supporting multiple formats by a single library
@@ -46,7 +46,7 @@
 _revision_v5 = """<revision committer="Martin Pool &lt;mbp@sourcefrog.net&gt;"
     inventory_sha1="e79c31c1deb64c163cf660fdedd476dd579ffd41"
     revision_id="mbp@sourcefrog.net-20050905080035-e0439293f8b6b9f9"
-    timestamp="1125907235.211783886"
+    timestamp="1125907235.212"
     timezone="36000">
 <message>- start splitting code for xml (de)serialization away from objects
   preparatory to supporting multiple formats by a single library
@@ -61,7 +61,7 @@
 <revision committer="Martin Pool &lt;mbp@sourcefrog.net&gt;"
     inventory_sha1="e79c31c1deb64c163cf660fdedd476dd579ffd41"
     revision_id="mbp@sourcefrog.net-20050905080035-e0439293f8b6b9f9"
-    timestamp="1125907235.211783886"
+    timestamp="1125907235.212"
     timezone="0">
 <message>- start splitting code for xml (de)serialization away from objects
   preparatory to supporting multiple formats by a single library
@@ -102,7 +102,7 @@
 
 
 # DO NOT REFLOW THIS. Its the exact revision we want.
-_expected_rev_v5 = """<revision committer="Martin Pool &lt;mbp@sourcefrog.net&gt;" format="5" inventory_sha1="e79c31c1deb64c163cf660fdedd476dd579ffd41" revision_id="mbp@sourcefrog.net-20050905080035-e0439293f8b6b9f9" timestamp="1125907235.211783886" timezone="36000">
+_expected_rev_v5 = """<revision committer="Martin Pool &lt;mbp@sourcefrog.net&gt;" format="5" inventory_sha1="e79c31c1deb64c163cf660fdedd476dd579ffd41" revision_id="mbp@sourcefrog.net-20050905080035-e0439293f8b6b9f9" timestamp="1125907235.212" timezone="36000">
 <message>- start splitting code for xml (de)serialization away from objects
   preparatory to supporting multiple formats by a single library
 </message>

=== modified file 'bzrlib/xml5.py'
--- bzrlib/xml5.py	2006-09-10 02:18:31 +0000
+++ bzrlib/xml5.py	2006-11-12 15:01:27 +0000
@@ -180,7 +180,7 @@
         """Revision object -> xml tree"""
         root = Element('revision',
                        committer = rev.committer,
-                       timestamp = '%.9f' % rev.timestamp,
+                       timestamp = '%.3f' % rev.timestamp,
                        revision_id = rev.revision_id,
                        inventory_sha1 = rev.inventory_sha1,
                        format='5',

